summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_openwrt.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-07-19 10:33:56 +0200
committerHolger Levsen <holger@layer-acht.org>2015-07-19 10:33:56 +0200
commit6fbfdf0e46b60797baa8937b7fb4a19dcb10f86b (patch)
tree3eeed13a696c9bafa557a8bbd384e3c4fe868b25 /bin/reproducible_openwrt.sh
parent888ac2eb9d1ee33e38d053588cfd9b1b592b3107 (diff)
downloadjenkins.debian.net-6fbfdf0e46b60797baa8937b7fb4a19dcb10f86b.tar.xz
reproducible openwrt: deal gracefully with some failing package build failures
Diffstat (limited to 'bin/reproducible_openwrt.sh')
-rwxr-xr-xbin/reproducible_openwrt.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_openwrt.sh b/bin/reproducible_openwrt.sh
index a0426d39..cd6701ea 100755
--- a/bin/reproducible_openwrt.sh
+++ b/bin/reproducible_openwrt.sh
@@ -82,7 +82,7 @@ openwrt_build() {
ionice -c 3 nice \
$MAKE -j $NUM_CPU target/install
ionice -c 3 nice \
- $MAKE -j $NUM_CPU package/index
+ $MAKE -j $NUM_CPU package/index || true # don't let some packages fail the whole build
}
openwrt_cleanup() {